Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.turbine.services.security.torque.om
Class BaseTurbineUserGroupRole

    java.lang.Object
      org.apache.torque.om.BaseObject
          org.apache.turbine.services.security.torque.om.BaseTurbineUserGroupRole

All Implemented Interfaces:
  Serializable, org.apache.torque.om.Persistent

Direct Known Subclasses:
  TurbineUserGroupRole

    public abstract class BaseTurbineUserGroupRole

extends org.apache.torque.om.BaseObject

This class was autogenerated by Torque on: [Thu Jun 23 17:25:46 CEST 2011] You should not use this class directly. It should not even be extended all references should be to TurbineUserGroupRole

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.torque.om.BaseObject
`NEW_ID`

Constructor Summary
`BaseTurbineUserGroupRole()`

Method Summary
`TurbineUserGroupRole` | `copy()` Makes a copy of this object.
`TurbineUserGroupRole` | `copy(boolean deepcopy)` Makes a copy of this object.
`TurbineUserGroupRole` | `copy(boolean deepcopy, Connection con)` Makes a copy of this object using connection.
`TurbineUserGroupRole` | `copy(Connection con)` Makes a copy of this object using connection.
`protected TurbineUserGroupRole` | `copyInto(TurbineUserGroupRole copyObj)` Fills the copyObj with the contents of this object.
`protected TurbineUserGroupRole` | `copyInto(TurbineUserGroupRole copyObj, boolean deepcopy)` Fills the copyObj with the contents of this object.
`protected TurbineUserGroupRole` | `copyInto(TurbineUserGroupRole copyObj, boolean deepcopy, Connection con)` Fills the copyObj with the contents of this object using connection.
`protected TurbineUserGroupRole` | `copyInto(TurbineUserGroupRole copyObj, Connection con)` Fills the copyObj with the contents of this object using connection.
`Object` | `getByName(String name)` Retrieves a field from the object by field (Java) name passed in as a String.
`Object` | `getByPeerName(String name)` Retrieves a field from the object by name passed in as a String.
`Object` | `getByPosition(int pos)` Retrieves a field from the object by Position as specified in the xml schema.
`static List<String>` | `getFieldNames()` Generate a list of field names.
`int` | `getGroupId()` Get the GroupId
`TurbineUserGroupRolePeer` | `getPeer()` returns a peer instance associated with this om.
`org.apache.torque.om.ObjectKey` | `getPrimaryKey()` returns an id that differentiates this object from others of its class.
`int` | `getRoleId()` Get the RoleId
`org.apache.torque.map.TableMap` | `getTableMap()` Retrieves the TableMap object related to this Table data without compiler warnings of using getPeer().getTableMap().
`TurbineGroup` | `getTurbineGroup()` Returns the associated TurbineGroup object.
`TurbineGroup` | `getTurbineGroup(Connection connection)` Return the associated TurbineGroup object If it was not retrieved before, the object is retrieved from the database using the passed connection
`TurbineRole` | `getTurbineRole()` Returns the associated TurbineRole object.
`TurbineRole` | `getTurbineRole(Connection connection)` Return the associated TurbineRole object If it was not retrieved before, the object is retrieved from the database using the passed connection
`TurbineUser` | `getTurbineUser()` Returns the associated TurbineUser object.
`TurbineUser` | `getTurbineUser(Connection connection)` Return the associated TurbineUser object If it was not retrieved before, the object is retrieved from the database using the passed connection
`int` | `getUserId()` Get the UserId
`void` | `save()` Stores the object in the database.
`void` | `save(Connection con)` Stores the object in the database.
`void` | `save(String dbName)` Stores the object in the database.
`boolean` | `setByName(String name, Object value)` Set a field in the object by field (Java) name.
`boolean` | `setByPeerName(String name, Object value)` Set field values by Peer Field Name
`boolean` | `setByPosition(int position, Object value)` Set field values by its position (zero based) in the XML schema.
`void` | `setGroupId(int v)` Set the value of GroupId
`void` | `setPrimaryKey(int userId, int groupId, int roleId)` Set the PrimaryKey using SimpleKeys.
`void` | `setPrimaryKey(org.apache.torque.om.ObjectKey key)` Set the PrimaryKey with an ObjectKey
`void` | `setPrimaryKey(String key)` Set the PrimaryKey using a String.
`void` | `setRoleId(int v)` Set the value of RoleId
`void` | `setTurbineGroup(TurbineGroup v)` Declares an association between this object and a TurbineGroup object
`void` | `setTurbineGroupKey(org.apache.torque.om.ObjectKey key)` Provides convenient way to set a relationship based on a ObjectKey, for example `bar.setFooKey(foo.getPrimaryKey())`
`void` | `setTurbineRole(TurbineRole v)` Declares an association between this object and a TurbineRole object
`void` | `setTurbineRoleKey(org.apache.torque.om.ObjectKey key)` Provides convenient way to set a relationship based on a ObjectKey, for example `bar.setFooKey(foo.getPrimaryKey())`
`void` | `setTurbineUser(TurbineUser v)` Declares an association between this object and a TurbineUser object
`void` | `setTurbineUserKey(org.apache.torque.om.ObjectKey key)` Provides convenient way to set a relationship based on a ObjectKey, for example `bar.setFooKey(foo.getPrimaryKey())`
`void` | `setUserId(int v)` Set the value of UserId
`String` | `toString()`

Methods inherited from class org.apache.torque.om.BaseObject
`equals, equals, getLog, hashCode, isModified, isNew, resetModified, setModified, setNew, setPrimaryKey`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BaseTurbineUserGroupRole

    public BaseTurbineUserGroupRole()

Method Detail

### getUserId

    public int getUserId()

  Get the UserId

  Returns:
    int

### setUserId

    public void setUserId(int v)
                   throws org.apache.torque.TorqueException

  Set the value of UserId

  Parameters:
    `v` - new value
  Throws:
    `org.apache.torque.TorqueException`

### getGroupId

    public int getGroupId()

  Get the GroupId

  Returns:
    int

### setGroupId

    public void setGroupId(int v)
                    throws org.apache.torque.TorqueException

  Set the value of GroupId

  Parameters:
    `v` - new value
  Throws:
    `org.apache.torque.TorqueException`

### getRoleId

    public int getRoleId()

  Get the RoleId

  Returns:
    int

### setRoleId

    public void setRoleId(int v)
                   throws org.apache.torque.TorqueException

  Set the value of RoleId

  Parameters:
    `v` - new value
  Throws:
    `org.apache.torque.TorqueException`

### setTurbineUser

    public void setTurbineUser(TurbineUser v)
                        throws org.apache.torque.TorqueException

  Declares an association between this object and a TurbineUser object

  Parameters:
    `v` - TurbineUser
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineUser

    public TurbineUser getTurbineUser()
                               throws org.apache.torque.TorqueException

  Returns the associated TurbineUser object. If it was not retrieved before, the object is retrieved from the database

  Returns:
    the associated TurbineUser object
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineUser

    public TurbineUser getTurbineUser(Connection connection)
                               throws org.apache.torque.TorqueException

  Return the associated TurbineUser object If it was not retrieved before, the object is retrieved from the database using the passed connection

  Parameters:
    `connection` - the connection used to retrieve the associated object from the database, if it was not retrieved before
  Returns:
    the associated TurbineUser object
  Throws:
    `org.apache.torque.TorqueException`

### setTurbineUserKey

    public void setTurbineUserKey(org.apache.torque.om.ObjectKey key)
                           throws org.apache.torque.TorqueException

  Provides convenient way to set a relationship based on a ObjectKey, for example `bar.setFooKey(foo.getPrimaryKey())`

  Throws:
    `org.apache.torque.TorqueException`

### setTurbineGroup

    public void setTurbineGroup(TurbineGroup v)
                         throws org.apache.torque.TorqueException

  Declares an association between this object and a TurbineGroup object

  Parameters:
    `v` - TurbineGroup
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineGroup

    public TurbineGroup getTurbineGroup()
                                 throws org.apache.torque.TorqueException

  Returns the associated TurbineGroup object. If it was not retrieved before, the object is retrieved from the database

  Returns:
    the associated TurbineGroup object
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineGroup

    public TurbineGroup getTurbineGroup(Connection connection)
                                 throws org.apache.torque.TorqueException

  Return the associated TurbineGroup object If it was not retrieved before, the object is retrieved from the database using the passed connection

  Parameters:
    `connection` - the connection used to retrieve the associated object from the database, if it was not retrieved before
  Returns:
    the associated TurbineGroup object
  Throws:
    `org.apache.torque.TorqueException`

### setTurbineGroupKey

    public void setTurbineGroupKey(org.apache.torque.om.ObjectKey key)
                            throws org.apache.torque.TorqueException

  Provides convenient way to set a relationship based on a ObjectKey, for example `bar.setFooKey(foo.getPrimaryKey())`

  Throws:
    `org.apache.torque.TorqueException`

### setTurbineRole

    public void setTurbineRole(TurbineRole v)
                        throws org.apache.torque.TorqueException

  Declares an association between this object and a TurbineRole object

  Parameters:
    `v` - TurbineRole
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRole

    public TurbineRole getTurbineRole()
                               throws org.apache.torque.TorqueException

  Returns the associated TurbineRole object. If it was not retrieved before, the object is retrieved from the database

  Returns:
    the associated TurbineRole object
  Throws:
    `org.apache.torque.TorqueException`

### getTurbineRole

    public TurbineRole getTurbineRole(Connection connection)
                               throws org.apache.torque.TorqueException

  Return the associated TurbineRole object If it was not retrieved before, the object is retrieved from the database using the passed connection

  Parameters:
    `connection` - the connection used to retrieve the associated object from the database, if it was not retrieved before
  Returns:
    the associated TurbineRole object
  Throws:
    `org.apache.torque.TorqueException`

### setTurbineRoleKey

    public void setTurbineRoleKey(org.apache.torque.om.ObjectKey key)
                           throws org.apache.torque.TorqueException

  Provides convenient way to set a relationship based on a ObjectKey, for example `bar.setFooKey(foo.getPrimaryKey())`

  Throws:
    `org.apache.torque.TorqueException`

### getFieldNames

    public static List<String> getFieldNames()

  Generate a list of field names.

  Returns:
    a list of field names

### getByName

    public Object getByName(String name)

  Retrieves a field from the object by field (Java) name passed in as a String.

  Overrides:
    `getByName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
  Returns:
    value

### setByName

    public boolean setByName(String name,
                             Object value)
                      throws org.apache.torque.TorqueException,
                             IllegalArgumentException

  Set a field in the object by field (Java) name.

  Overrides:
    `setByName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
    `value` - field value
  Returns:
    True if value was set, false if not (invalid name / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### getByPeerName

    public Object getByPeerName(String name)

  Retrieves a field from the object by name passed in as a String. The String must be one of the static Strings defined in this Class' Peer.

  Overrides:
    `getByPeerName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - peer name
  Returns:
    value

### setByPeerName

    public boolean setByPeerName(String name,
                                 Object value)
                          throws org.apache.torque.TorqueException,
                                 IllegalArgumentException

  Set field values by Peer Field Name

  Overrides:
    `setByPeerName` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `name` - field name
    `value` - field value
  Returns:
    True if value was set, false if not (invalid name / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### getByPosition

    public Object getByPosition(int pos)

  Retrieves a field from the object by Position as specified in the xml schema. Zero-based.

  Overrides:
    `getByPosition` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `pos` - position in xml schema
  Returns:
    value

### setByPosition

    public boolean setByPosition(int position,
                                 Object value)
                          throws org.apache.torque.TorqueException,
                                 IllegalArgumentException

  Set field values by its position (zero based) in the XML schema.

  Overrides:
    `setByPosition` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `position` - The field position
    `value` - field value
  Returns:
    True if value was set, false if not (invalid position / protected field).
  Throws:
    `IllegalArgumentException` - if object type of value does not match field object type.
    `org.apache.torque.TorqueException` - If a problem occurs with the set[Field] method.

### save

    public void save()
              throws Exception

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed.

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Throws:
    `Exception`

### save

    public void save(String dbName)
              throws org.apache.torque.TorqueException

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed. Note: this code is here because the method body is auto-generated conditionally and therefore needs to be in this file instead of in the super class, BaseObject.

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `dbName` -
  Throws:
    `org.apache.torque.TorqueException`

### save

    public void save(Connection con)
              throws org.apache.torque.TorqueException

  Stores the object in the database. If the object is new, it inserts it; otherwise an update is performed. This method is meant to be used as part of a transaction, otherwise use the save() method and the connection details will be handled internally

  Specified by:
    `save` in interface `org.apache.torque.om.Persistent`
  Specified by:
    `save` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `con` -
  Throws:
    `org.apache.torque.TorqueException`

### setPrimaryKey

    public void setPrimaryKey(org.apache.torque.om.ObjectKey key)
                       throws org.apache.torque.TorqueException

  Set the PrimaryKey with an ObjectKey

  Specified by:
    `setPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `setPrimaryKey` in class `org.apache.torque.om.BaseObject`
  Parameters:
    `key` -
  Throws:
    `org.apache.torque.TorqueException`

### setPrimaryKey

    public void setPrimaryKey(int userId,
                              int groupId,
                              int roleId)
                       throws org.apache.torque.TorqueException

  Set the PrimaryKey using SimpleKeys.

  Parameters:
    `userId` - int
    `groupId` - int
    `roleId` - int
  Throws:
    `org.apache.torque.TorqueException`

### setPrimaryKey

    public void setPrimaryKey(String key)
                       throws org.apache.torque.TorqueException

  Set the PrimaryKey using a String.

  Specified by:
    `setPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `setPrimaryKey` in class `org.apache.torque.om.BaseObject`
  Throws:
    `org.apache.torque.TorqueException`

### getPrimaryKey

    public org.apache.torque.om.ObjectKey getPrimaryKey()

  returns an id that differentiates this object from others of its class.

  Specified by:
    `getPrimaryKey` in interface `org.apache.torque.om.Persistent`
  Overrides:
    `getPrimaryKey` in class `org.apache.torque.om.BaseObject`

### copy

    public TurbineUserGroupRole copy()
                              throws org.apache.torque.TorqueException

  Makes a copy of this object. It creates a new object filling in the simple attributes. It then fills all the association collections and sets the related objects to isNew=true.

  Throws:
    `org.apache.torque.TorqueException`

### copy

    public TurbineUserGroupRole copy(Connection con)
                              throws org.apache.torque.TorqueException

  Makes a copy of this object using connection. It creates a new object filling in the simple attributes. It then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copy

    public TurbineUserGroupRole copy(boolean deepcopy)
                              throws org.apache.torque.TorqueException

  Makes a copy of this object. It creates a new object filling in the simple attributes. If the parameter deepcopy is true, it then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `deepcopy` - whether to copy the associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copy

    public TurbineUserGroupRole copy(boolean deepcopy,
                                     Connection con)
                              throws org.apache.torque.TorqueException

  Makes a copy of this object using connection. It creates a new object filling in the simple attributes. If the parameter deepcopy is true, it then fills all the association collections and sets the related objects to isNew=true.

  Parameters:
    `deepcopy` - whether to copy the associated objects.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbineUserGroupRole copyInto(TurbineUserGroupRole copyObj)
                                     throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object. The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbineUserGroupRole copyInto(TurbineUserGroupRole copyObj,
                                            Connection con)
                                     throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object using connection. The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbineUserGroupRole copyInto(TurbineUserGroupRole copyObj,
                                            boolean deepcopy)
                                     throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object. If deepcopy is true, The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `deepcopy` - whether the associated objects should be copied.
  Throws:
    `org.apache.torque.TorqueException`

### copyInto

    protected TurbineUserGroupRole copyInto(TurbineUserGroupRole copyObj,
                                            boolean deepcopy,
                                            Connection con)
                                     throws org.apache.torque.TorqueException

  Fills the copyObj with the contents of this object using connection. If deepcopy is true, The associated objects are also copied and treated as new objects.

  Parameters:
    `copyObj` - the object to fill.
    `deepcopy` - whether the associated objects should be copied.
    `con` - the database connection to read associated objects.
  Throws:
    `org.apache.torque.TorqueException`

### getPeer

    public TurbineUserGroupRolePeer getPeer()

  returns a peer instance associated with this om. Since Peer classes are not to have any instance attributes, this method returns the same instance for all member of this class. The method could therefore be static, but this would prevent one from overriding the behavior.

### getTableMap

    public org.apache.torque.map.TableMap getTableMap()
                                               throws org.apache.torque.TorqueException

  Retrieves the TableMap object related to this Table data without compiler warnings of using getPeer().getTableMap().

  Overrides:
    `getTableMap` in class `org.apache.torque.om.BaseObject`
  Returns:
    The associated TableMap object.
  Throws:
    `org.apache.torque.TorqueException`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 The Apache Software Foundation. All Rights Reserved.